package com.sinosig.mongodb.po;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.core.repository.po.JQXXX;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 大数据 [交强险信息] 对象
 */
@Document(collection = "hjqxxx")
public class HJQXXXImpl implements JQXXX {

    /**
     * 获取 [车险单标识]
     */
    private String CIDId;
    private boolean CIDIdDirtyFlag;
    
    /**
     * 获取 [建立时间]
     */
    private Timestamp CreateDate;
    private boolean CreateDateDirtyFlag;
    
    /**
     * 获取 [建立人]
     */
    private String CreateMan;
    private boolean CreateManDirtyFlag;
    
    /**
     * 获取 [费率系数]
     */
    private Double Flxs;
    private boolean FlxsDirtyFlag;
    
    /**
     * 获取 [交强险信息标识]
     */
    private String JQXXXId;
    private boolean JQXXXIdDirtyFlag;
    
    /**
     * 获取 [交强险信息名称]
     */
    private String JQXXXName;
    private boolean JQXXXNameDirtyFlag;
    
    /**
     * 获取 [基准保费]
     */
    private BigDecimal Jzbf;
    private boolean JzbfDirtyFlag;
    
    /**
     * 获取 [实交保费]
     */
    private BigDecimal Sjbf;
    private boolean SjbfDirtyFlag;
    
    /**
     * 获取 [条款代码]
     */
    private String Tkdm;
    private boolean TkdmDirtyFlag;
    
    /**
     * 获取 [条款名称]
     */
    private String Tkmc;
    private boolean TkmcDirtyFlag;
    
    /**
     * 获取 [更新时间]
     */
    private Timestamp UpdateDate;
    private boolean UpdateDateDirtyFlag;
    
    /**
     * 获取 [更新人]
     */
    private String UpdateMan;
    private boolean UpdateManDirtyFlag;
    
    /**
     * 获取 [责任限额]
     */
    private BigDecimal Zrxe;
    private boolean ZrxeDirtyFlag;
    

    /**
     * 获取 [车险单标识]
     */
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

        /**
     * 获取 [车险单标识]脏标记
     */
    public boolean getCIDIdDirtyFlag() {
        return CIDIdDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

        /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag() {
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

        /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag() {
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [费率系数]
     */
    public Double getFlxs(){
        return Flxs ;
    }

    /**
     * 设置 [费率系数]
     */
    public void setFlxs(Double  flxs){
        this.Flxs = flxs ;
        this.FlxsDirtyFlag = true ;
    }

        /**
     * 获取 [费率系数]脏标记
     */
    public boolean getFlxsDirtyFlag() {
        return FlxsDirtyFlag ;
    }
    /**
     * 获取 [交强险信息标识]
     */
    public String getJQXXXId(){
        return JQXXXId ;
    }

    /**
     * 设置 [交强险信息标识]
     */
    public void setJQXXXId(String  jQXXXId){
        this.JQXXXId = jQXXXId ;
        this.JQXXXIdDirtyFlag = true ;
    }

        /**
     * 获取 [交强险信息标识]脏标记
     */
    public boolean getJQXXXIdDirtyFlag() {
        return JQXXXIdDirtyFlag ;
    }
    /**
     * 获取 [交强险信息名称]
     */
    public String getJQXXXName(){
        return JQXXXName ;
    }

    /**
     * 设置 [交强险信息名称]
     */
    public void setJQXXXName(String  jQXXXName){
        this.JQXXXName = jQXXXName ;
        this.JQXXXNameDirtyFlag = true ;
    }

        /**
     * 获取 [交强险信息名称]脏标记
     */
    public boolean getJQXXXNameDirtyFlag() {
        return JQXXXNameDirtyFlag ;
    }
    /**
     * 获取 [基准保费]
     */
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [基准保费]
     */
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }

        /**
     * 获取 [基准保费]脏标记
     */
    public boolean getJzbfDirtyFlag() {
        return JzbfDirtyFlag ;
    }
    /**
     * 获取 [实交保费]
     */
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [实交保费]
     */
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }

        /**
     * 获取 [实交保费]脏标记
     */
    public boolean getSjbfDirtyFlag() {
        return SjbfDirtyFlag ;
    }
    /**
     * 获取 [条款代码]
     */
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [条款代码]
     */
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }

        /**
     * 获取 [条款代码]脏标记
     */
    public boolean getTkdmDirtyFlag() {
        return TkdmDirtyFlag ;
    }
    /**
     * 获取 [条款名称]
     */
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [条款名称]
     */
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }

        /**
     * 获取 [条款名称]脏标记
     */
    public boolean getTkmcDirtyFlag() {
        return TkmcDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

        /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag() {
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

        /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag() {
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [责任限额]
     */
    public BigDecimal getZrxe(){
        return Zrxe ;
    }

    /**
     * 设置 [责任限额]
     */
    public void setZrxe(BigDecimal  zrxe){
        this.Zrxe = zrxe ;
        this.ZrxeDirtyFlag = true ;
    }

        /**
     * 获取 [责任限额]脏标记
     */
    public boolean getZrxeDirtyFlag() {
        return ZrxeDirtyFlag ;
    }
}
